.ldenLL <-
function(x, mu0, muD, sigma0, sigmaLL )
        {
        ## log-scale density of long-lived component
        pfull <- dnorm(x, mean=(mu0+muD), sd=sqrt( sigma0^2 + sigmaLL^2 ) , 
		log=TRUE )
        tau <- 1/sigma0^2 + 1/sigmaLL^2
	mm <- ( (x-mu0)/sigma0^2 + muD/sigmaLL^2 )/tau
        compensator <- pnorm(0, mean=mm, sd=sqrt( 1/tau ), 
 		log.p=TRUE, lower.tail=FALSE )
	pden <- pnorm( -muD/sigmaLL, lower.tail=FALSE, log.p=TRUE )
        lden <- compensator + pfull - pden
        return(lden)
        }
.ldenSL <-
function(x, mu0, muD, sigma0, sigmaSL )
        {
        ## log-scale density of long-lived component
        pfull <- dnorm(x, mean=(mu0-muD), sd=sqrt( sigma0^2 + sigmaSL^2 ), 
 			log=TRUE )
        tau <- 1/sigma0^2 + 1/sigmaSL^2
	mm <- ( (x-mu0)/sigma0^2 - muD/sigmaSL^2 )/tau
        compensator <- pnorm(0, mean=mm, sd=sqrt( 1/tau ), log.p=TRUE )
	pden <- pnorm( muD/sigmaSL, log.p=TRUE )
        lden <-  compensator + pfull - pden
        return(lden)
        }
